Skip to main content
POST
Submit OTP

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-api-version
string
default:2025-11-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2025-11-01"

Body

application/json

Request parameters to submit and verify an OTP.

otp_verification_id
string
required

Unique identifier for the OTP verification request.

Example:

"Test123"

otp
string
required

The OTP provided by the user for verification.

Example:

"123456"

Response

Success response for verifying an OTP.

otp_verification_id
string

Unique identifier for the OTP verification request.

Example:

"Test123"

cf_otp_verification_id
string

Unique identifier for the OTP verification request, generated by Cashfree.

Example:

"8901234567890123456"

status
enum<string>

Status of the OTP verification process.

Available options:
VERIFIED,
FAILED
Example:

"VERIFIED"

user_id
string

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"